<?php
/**
 * The template for displaying posts in the author page.
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */
?>

<?php get_header(); ?>

<?php
// Get author data
$author_ID = $author;			
$display_name = get_the_author_meta('display_name', $author_ID);
$description = get_the_author_meta('description', $author_ID);
?>

<div id="left-content">
	<h2 class="archive-title"><?php echo the_archive_title(); ?></h2>

	<div class="about-author">
		<article class="hentry">
			<div class="thumbnail">
				<?php echo get_avatar( $post->post_author, '100' ); ?>
			</div>
			<?php echo wpautop($description); ?>
		</article>
	</div>

	<?php
	// The loop
	if ( have_posts() ) {
		get_template_part( 'includes/breadcrumb' ); // display breadcrumb
		while ( have_posts() ) {
			the_post();
			get_template_part( 'content', get_post_format() ); // get content template
		}
		get_template_part( 'includes/pagination' );
	}
	?>
</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>