<?php 
/**
 * The template for displaying comments
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */

// Do not delete these lines
 
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
    die (esc_html_e('Please do not load this page directly. Thanks!', 'poris'));

    if (!empty($post->post_password)) { // if there's a password
        if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
?>
    <p class="nocomments"><?php esc_html_e('This post is password protected. Enter the password to view comments.', 'poris') ; ?></p>
<?php
        return;
        }
    }
?>

<?php if ( have_comments() ) : ?>

    <!-- Start: Comment List -->
    <div id="comment-widget" class="comments post-section">
        <div class="post-inner">
            <div class="section-title">
                <h4 class="widget-title"><?php comments_number( esc_html__('No Comments', 'poris'), esc_html__('1 Comment', 'poris'), esc_html__('% Comments', 'poris') ); ?></h4>
            </div>
            
            <div class="comments-list">
                <ul>
                <?php wp_list_comments('callback=poris_comment_list'); ?>
                </ul>
            </div>
            
            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
                <div class="navigation clearfix">
                    <span class="prev"><?php previous_comments_link(esc_html__('&larr; Previous', 'poris'), 0); ?></span>
                    <span class="next"><?php next_comments_link(esc_html__('Next &rarr;', 'poris'), 0); ?></span>
                </div>  
            <?php endif; ?>
        </div>  
    </div>
    <!-- End: Comment List -->
    
<?php else : // or, if we don't have comments: ?>      
<?php endif; // end have_comments() ?> 

<!-- Start: Respond -->
<?php if ( comments_open() ) : ?>
    <div id="comment-form-widget" class="comment post-section">
        <div class="wrapper">
        
        <div class="section-title">
            <h4 class="widget-title"><?php comment_form_title( 'Leave a Reply', 'Leave a Reply to %s' ); ?></h4>
        </div>
        <?php 
            comment_form( array(
                'title_reply'           => '',
                'comment_notes_before'  =>  '',
                'comment_notes_after'   =>  '',
                'label_submit'          =>  esc_html__( 'Submit', 'poris' ),
                'cancel_reply_link'     =>  esc_html__( 'Cancel Reply', 'poris' ),
                'logged_in_as'          => '<p class="logged-user">' . sprintf( wp_kses( __( 'You are logged in as <a href="%1$s">%2$s</a> &#8212; <a href="%3$s">Logout &raquo;</a>', 'poris' ), array(  'a' => array( 'href' => array() ) ) ), admin_url( 'profile.php' ), $user_identity, wp_logout_url( apply_filters( 'the_permalink', get_permalink() ) ) ) . '</p>',
                'fields'                => array(
                    'author'                =>  '<div class="form-group medium"><input type="text" name="author" id="input-name" class="input-s" value="" placeholder="'. esc_html__('Name', 'poris') .'" /><span class="required">*</span></div>',
                    'email'                 =>  '<div class="form-group medium"><input type="text" name="email" id="input-email" class="input-s" value=""  placeholder="'. esc_html__('Email', 'poris') .'" /><span class="required">*</span></div>',
                    'url'                   =>  '<div class="form-group medium"><input type="text" name="url" id="input-email" class="input-s" value="" placeholder="'. esc_html__('Website Url','poris') .'" /></div>'
                                            ),
                    'comment_field'         =>  '<div class="form-group textarea"><textarea name="comment" id="message" placeholder="'. esc_html__('Message', 'poris') .'" /></textarea><span class="required">*</span></div>',
                    'label_submit'          => esc_html__('Submit Comment','poris')
                ));
        ?>
        </div>
    </div>
<?php endif; ?>
<!-- End: Respond -->