<?php
/**
 * The template for displaying posts in the Gallery post format.
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php echo poris_check_sticky(); ?>

	<div class="title-wrapper <?php if( ! has_post_thumbnail() ) { echo 'no-thumbnail'; } ?>">
		<div class="category">
			<?php 
			// get categories
			if ( get_theme_mod( 'poris_display_post_category', true ) ) {
				the_category( ', ', '', '' ); 
			}
			?>
		</div>
		
		<?php if( ! is_single() ) : ?>
			<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
		<?php else: ?>
			<h1 class="post-title"><?php the_title(); ?></h1>
		<?php endif; ?>
		
		<?php poris_post_meta(); ?>
	</div>
	
	<?php if ( has_post_thumbnail() ) : // Get featured image ?>
		<div class="thumbnail">
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" alt="<?php the_title(); ?>">
			<?php the_post_thumbnail( 'poris-blog-image', array( 'alt' => get_the_title(), 'title' => get_the_title() ) ); ?>
			</a>

			<?php if ( ! empty( get_post( get_post_thumbnail_id() )->post_excerpt ) && is_single() ) : ?>		
				<p class="image-caption">
					<span class="fa fa-camera"></span>
					<?php echo get_post( get_post_thumbnail_id() )->post_excerpt; ?>
				</p>						
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<div class="inner">
		<div class="post-content">
			<div class="post-detail">
				<?php
				if ( is_single() ) {
					the_content();

					wp_link_pages( array(
						'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'poris' ) . '</span>',
						'after'       => '</div>',
						'link_before' => '<span>',
						'link_after'  => '</span>',
					) );

					echo '<div class="post-tags">';
					the_tags('<b>Tags: </b>', ', ', '');
					echo '</div>';
				} else {
					the_excerpt();
					echo '<a class="button" href="'. get_permalink() .'">'. esc_html__( 'Read More', 'poris' ) .'</a>';
				}
				?>
			</div>
		</div>
	</div>
</article>