<?php
/**
 * The template for displaying Page post type.
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="title-wrapper <?php if( ! has_post_thumbnail() ) { echo 'no-thumbnail'; } ?>">
		<?php if( ! is_single() ) : ?>
			<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
		<?php else: ?>
			<h1 class="post-title"><?php the_title(); ?></h1>
		<?php endif; ?>
	</div>
	
	<?php if ( has_post_thumbnail() ) : // Get featured image ?>
		<div class="thumbnail">
			<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" alt="<?php the_title(); ?>">
			<?php the_post_thumbnail( 'poris-blog-image', array( 'alt' => get_the_title(), 'title' => get_the_title() ) ); ?>
			</a>

			<?php if ( ! empty( get_post( get_post_thumbnail_id() )->post_excerpt ) && is_single() ) : ?>		
				<p class="image-caption">
					<span class="fa fa-camera"></span>
					<?php echo get_post( get_post_thumbnail_id() )->post_excerpt; ?>
				</p>						
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<div class="inner">
		<div class="post-content">
			<div class="post-detail">
				<?php
				the_content();

				wp_link_pages( array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'poris' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
				) );
				?>
			</div>
		</div>
	</div>
</article>

<div class="other-content box">
	<?php comments_template( '', true ); // display comments ?>
</div>