<?php
/**
 * Function to load JS & CSS files
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */

if ( ! function_exists( 'poris_enqueue_scripts' ) ) {
	function poris_enqueue_scripts() {
		global $pagenow;
		
		// Only load these scripts on frontend
		if( !is_admin() && $pagenow != 'wp-login.php' ) {

			if ( is_singular() ) {
				wp_enqueue_script( 'comment-reply' );
			}
			
			// Load all CSS files
			wp_enqueue_style('poris-reset', get_template_directory_uri() .'/css/reset.css', array(), false, 'all');
			wp_enqueue_style('poris-font-awesome', get_template_directory_uri() . '/css/font-awesome.css', array(), false, 'all' );
			wp_enqueue_style('poris-swipebox', get_template_directory_uri() .'/css/swipebox.css', array(), false, 'all');
			wp_enqueue_style('poris', get_stylesheet_directory_uri() .'/style.css', array(), false, 'all');
			wp_enqueue_style('poris-responsive', get_template_directory_uri() .'/css/responsive.css', array(), false, 'all');

			// Load custom CSS file
			wp_enqueue_script('poris-swipebox', get_template_directory_uri() .'/js/jquery.swipebox.js', array('jquery'), '1.4.1', true);
			wp_enqueue_script('poris-fitvids', get_template_directory_uri() .'/js/jquery.fitvids.js', array('jquery'), '1.1', true);
			wp_enqueue_script('poris-functions', get_template_directory_uri() .'/js/functions.js', array('jquery'), '1.0.0', true);

			// Localize script
			wp_localize_script('poris-functions', '_warrior', array(
				'img_loading' => get_template_directory_uri().'/images/ajax-loader.gif'
			));
		}
	}
}
add_action( 'wp_enqueue_scripts', 'poris_enqueue_scripts' );


/**
 * Function to load JS & CSS files on init
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */
if ( ! function_exists( 'poris_init_styles' ) ) {
	function poris_init_styles () {
		add_editor_style( 'css/editor-style.css' );
	}
}
add_action( 'wp_enqueue_scripts', 'poris_init_styles' );
?>