<?php
/**
* List of theme support functions
*/
if( !function_exists('poris_theme_support') ) {
	function poris_theme_support() {
		global $content_width;

		// Set maximum image width displayed in a single post or page
		if ( ! isset( $content_width ) ) {
			$content_width = 750;
		}

		// Add post thumbnail feature
		add_theme_support( 'post-thumbnails' );
		add_image_size('poris-blog-image', 826, 503, true); // blog image
		add_image_size('poris-small-thumb-1', 194, 138, true); // related posts image thumb - 1
		add_image_size('poris-small-thumb-2', 80, 80, true); // related posts image thumb - 2

		// Add WordPress navigation menus
		add_theme_support('nav-menus');
		register_nav_menus( array(
			'main-menu' => esc_html__( 'Main Menu', 'poris' ),
		) );

		// Add WordPress post format
		add_theme_support( 'post-formats', array( 'gallery', 'image', 'quote', 'video', 'audio' ) );

		// Title Tag
		add_theme_support( 'title-tag' );

		// Add default posts and comments RSS feed links to head
		add_theme_support( 'automatic-feed-links' );

		// Theme Localization
		load_theme_textdomain('poris', get_template_directory().'/lang');
	}
}
add_action( 'after_setup_theme', 'poris_theme_support' );
?>