<?php
/**
 * The template for displaying header part.
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */
?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="main-wrapper">
		<!-- Start: Header -->
		<header id="main-header">
			<div class="container">
				<div id="main-logo">
					<h2 class="site-title"><a href="<?php echo esc_url( home_url() ); ?>"><?php echo esc_attr( get_bloginfo('name') ); ?></a></h2>
					<h4 class="site-desc"><?php echo esc_attr( get_bloginfo('description') ); ?></h4>
				</div>
				<a class="menu-trigger fa fa-bars"></a>
			</div>
		</header>
		<!-- End: Header -->

		<!-- Start: Header Nav -->
		<section id="header-nav">
			<div class="container">
				<nav id="main-menu" class="site-navigation primary-navigation" role="navigation">
				<?php
					// Display Main menu section
					if ( has_nav_menu( 'main-menu' ) ) {
						wp_nav_menu( array ( 'theme_location' => 'main-menu', 'container' => null, 'menu_class' => 'main-menu', 'depth' => 5 ) );
					}
				?>
					
					<div class="clearfix"></div>
				</nav>
				<div class="clearfix"></div>
			</div>
		</section>
		<!-- End: Header Nav -->

		<!-- Start: Main Content -->
		<section id="main-content">
			<div class="container">
	