<?php
/**
 * The template for displaying image attachment.
 *
 * @package WordPress
 * @subpackage Poris 1.0.0
 * @since Poris 1.0.0
 */
?>
<?php get_header(); ?>

<div id="left-content">
	<div class="box">
		<?php
		// The loop
		if ( have_posts() ) { //check if there is a post
			while ( have_posts() ) {
				the_post();
		?>
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="title-wrapper">
						<div class="category">
							<?php the_category( ', ', '', '' ); ?>
						</div>
						
						<?php if( ! is_single() ) : ?>
							<h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
						<?php else: ?>
							<h1 class="post-title"><?php the_title(); ?></h1>
						<?php endif; ?>
						
						<?php poris_post_meta(); ?>
					</div>

					<?php echo wp_get_attachment_image( get_the_ID(), 'large', false ); ?>

					<div class="inner">
						<div class="post-content">
							<div class="post-detail">
								<?php
								if ( is_single() ) {
									the_content();

									wp_link_pages( array(
										'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'poris' ) . '</span>',
										'after'       => '</div>',
										'link_before' => '<span>',
										'link_after'  => '</span>',
									) );

									echo '<div class="post-tags">';
									the_tags('<b>Tags: </b>', ', ', '');
									echo '</div>';
								} else {
									the_excerpt();
									echo '<a class="button" href="'. get_permalink() .'">'. esc_html__( 'Read More', 'poris' ) .'</a>';
								}
								?>
							</div>
						</div>
					</div>
				</article>
			<?php
				echo '<div class="other-content">';
				get_template_part( 'includes/author-bio' ); // display author description
				get_template_part( 'includes/related-posts' );
				comments_template( '', true ); // display comments
				echo '</div>';
			}
		} else {
			get_template_part( 'content', 'none' );
		}
		?>
	</div>
</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>