<?php
/**
 * Template for displaying related posts.
 *
 * @package WordPress
 * @subpackage Poris
 * @since Poris 1.0.0
 */
?>

<?php if ( get_theme_mod( 'poris_display_related_posts', true ) ) : ?>
	<?php
	// get the categories
	$categories = get_the_category();
	$cat_ids = array();
	foreach($categories as $category) $cat_ids[] = $category->term_id;

	$args = array(
		'post_type' => 'post',
		'post_status' => 'publish',
		'orderby' => 'rand',
		'category__in' => $cat_ids,
		'post__not_in' => array( get_the_ID() ),
		'posts_per_page' => 3
	);

	$posts_related = new WP_Query();
	$posts_related->query($args);
	if ( $posts_related->have_posts() ) :
	?>

<div class="related-posts post-section">
	<div class="section-title">
		<h4 class="widget-title"><?php esc_html_e('Related Posts', 'poris') ?></h4>
	</div>
	
	<div class="wrapper">
		<?php while( $posts_related->have_posts() ) : $posts_related->the_post(); ?>
			<article class="related">
				<div class="thumbnail">
				<?php
					// Get featured image
					if ( has_post_thumbnail() ) {
						echo '<a href="'. get_permalink() .'" title="'. get_the_title() .'" alt="'. get_the_title() .'">';
						the_post_thumbnail( 'poris-small-thumb-1', array( 'alt' => get_the_title(), 'title' => get_the_title() ) );
						echo '</a>';
					} else {
						echo '<a href="'. get_permalink() .'" title="'. get_the_title() .'" alt="'. get_the_title() .'">';
						echo '<img src="http://placehold.it/242x172/333333/&text=&nbsp;" title="'. get_the_title() .'" alt="'. get_the_title() .'"/>';
						echo '</a>';
					}
				?>
				</div>
				<div class="detail">
					<?php echo '<h3 class="article-title">' . '<a href="' . get_permalink() . '" title="'. get_the_title() .'">' . wp_trim_words( get_the_title(), 4, ' ... ' ) . '</a></h3>';?>
					
					<div class="meta">
						<span class="date"><?php echo date_i18n( 'M d, Y', strtotime( get_the_date('Y-m-d'), false ) ); ?></span>
					</div>
				</div>
			</article>
		<?php endwhile; wp_reset_postdata(); ?>
	<div class="clearfix"></div>
	</div>
</div>
        		    
	<?php endif; ?>
<?php endif; ?>